VTK: vtkQtListView Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkQtListView Class Reference

A VTK view based on a Qt List view. More...

`#include <vtkQtListView.h>`

Inheritance diagram for vtkQtListView:
[legend]
Collaboration diagram for vtkQtListView:
[legend]

## Public Types
enum | { FIELD_DATA = 0 , POINT_DATA = 1 , CELL_DATA = 2 , VERTEX_DATA = 3 , EDGE_DATA = 4 , ROW_DATA = 5 }
typedef vtkQtView | Superclass
Public Types inherited from vtkQtView
typedef vtkView | Superclass
Public Types inherited from vtkView
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkQtListView * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
QWidget * | GetWidget () override
| Get the main container of this view (a QWidget). More...
void | SetEnableDragDrop (bool)
| Enable drag and drop on this widget. More...
void | SetAlternatingRowColors (bool)
| Have the view alternate its row colors. More...
void | SetDecorationStrategy (int)
| The strategy for how to decorate rows. More...
void | SetVisibleColumn (int col)
| The column to display. More...
void | SetFilterRegExp (const QRegularExpression &pattern)
| The column used to filter on. More...
void | ApplyViewTheme (vtkViewTheme *theme) override
void | Update () override
| Updates the view. More...
virtual int | GetFieldType ()
| The field type to copy into the output table. More...
void | SetFieldType (int)
| The field type to copy into the output table. More...
void | SetColorArrayName (const char *name)
| The array to use for coloring items in view. More...
const char * | GetColorArrayName ()
| The array to use for coloring items in view. More...
void | SetColorByArray (bool vis)
| Whether to color vertices. More...
bool | GetColorByArray ()
| Whether to color vertices. More...
virtual void | ColorByArrayOn ()
| Whether to color vertices. More...
virtual void | ColorByArrayOff ()
| Whether to color vertices. More...
void | SetIconSheet (QImage sheet)
| Set the icon ivars. More...
void | SetIconSize (int w, int h)
| Set the icon ivars. More...
void | SetIconSheetSize (int w, int h)
| Set the icon ivars. More...
void | SetIconArrayName (const char *name)
| Set the icon ivars. More...
Public Member Functions inherited from vtkQtView
vtkQtView * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | ProcessQtEvents ()
| Calls QApplication::processEvents(). More...
virtual void | ProcessQtEventsNoUserInput ()
| Calls QApplication::processEvents(QEventLoop::ExcludeUserInputEvents). More...
virtual bool | SaveImage (VTK_FILEPATH const char *fileName)
| Save an image. More...
Public Member Functions inherited from vtkView
vtkView * | NewInstance () const
void | AddRepresentation (vtkDataRepresentation *rep)
| Adds the representation to the view. More...
void | SetRepresentation (vtkDataRepresentation *rep)
| Set the representation to the view. More...
vtkDataRepresentation * | AddRepresentationFromInputConnection (vtkAlgorithmOutput *conn)
| Convenience method which creates a simple representation with the connection and adds it to the view. More...
vtkDataRepresentation * | SetRepresentationFromInputConnection (vtkAlgorithmOutput *conn)
| Convenience method which sets the representation with the connection and adds it to the view. More...
vtkDataRepresentation * | AddRepresentationFromInput (vtkDataObject *input)
| Convenience method which creates a simple representation with the specified input and adds it to the view. More...
vtkDataRepresentation * | SetRepresentationFromInput (vtkDataObject *input)
| Convenience method which sets the representation to the specified input and adds it to the view. More...
void | RemoveRepresentation (vtkDataRepresentation *rep)
| Removes the representation from the view. More...
void | RemoveRepresentation (vtkAlgorithmOutput *rep)
| Removes any representation with this connection from the view. More...
void | RemoveAllRepresentations ()
| Removes all representations from the view. More...
int | GetNumberOfRepresentations ()
| Returns the number of representations from first port(0) in this view. More...
vtkDataRepresentation * | GetRepresentation (int index=0)
| The representation at a specified index. More...
bool | IsRepresentationPresent (vtkDataRepresentation *rep)
| Check to see if a representation is present in the view. More...
virtual void | ApplyViewTheme (vtkViewTheme *vtkNotUsed(theme))
| Apply a theme to the view. More...
vtkCommand * | GetObserver ()
| Returns the observer that the subclasses can use to listen to additional events. More...
void | RegisterProgress (vtkObject *algorithm, const char *message=nullptr)
| Meant for use by subclasses and vtkRepresentation subclasses. More...
void | UnRegisterProgress (vtkObject *algorithm)
| Unregister objects previously registered with RegisterProgress. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkQtListView * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkQtListView * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkQtView
static vtkTypeBool | IsTypeOf (const char *type)
static vtkQtView * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkView
static vtkView * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkView * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkQtListView ()
| ~vtkQtListView () override
void | AddRepresentationInternal (vtkDataRepresentation *rep) override
void | RemoveRepresentationInternal (vtkDataRepresentation *rep) override
Protected Member Functions inherited from vtkQtView
| vtkQtView ()
| ~vtkQtView () override
Protected Member Functions inherited from vtkView
| vtkView ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
| ~vtkView () override
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | ProcessEvents (vtkObject *caller, unsigned long eventId, void *callData)
| Called to process events. More...
virtual vtkDataRepresentation * | CreateDefaultRepresentation (vtkAlgorithmOutput *conn)
| Create a default vtkDataRepresentation for the given vtkAlgorithmOutput. More...
virtual void | AddRepresentationInternal (vtkDataRepresentation *vtkNotUsed(rep))
| Subclass "hooks" for notifying subclasses of vtkView when representations are added or removed. More...
virtual void | RemoveRepresentationInternal (vtkDataRepresentation *vtkNotUsed(rep))
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | SetReuseSingleRepresentation (bool)
| True if the view takes a single representation that should be reused on Add/SetRepresentationFromInput(Connection) calls. More...
virtual bool | GetReuseSingleRepresentation ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | ReuseSingleRepresentationOn ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | ReuseSingleRepresentationOff ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkView
bool | ReuseSingleRepresentation
| Meant for use by subclasses and vtkRepresentation subclasses. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

A VTK view based on a Qt List view.

vtkQtListView is a VTK view using an underlying QListView.

Thanks:
  Thanks to Brian Wylie from Sandia National Laboratories for implementing this class

Definition at line 35 of file vtkQtListView.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkQtView vtkQtListView::Superclass

Definition at line 41 of file vtkQtListView.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
FIELD_DATA |
POINT_DATA |
CELL_DATA |
VERTEX_DATA |
EDGE_DATA |
ROW_DATA |

Definition at line 52 of file vtkQtListView.h.

## Constructor & Destructor Documentation

## ◆ vtkQtListView()

vtkQtListView::vtkQtListView | ( |  | ) |
| protected

## ◆ ~vtkQtListView()

vtkQtListView::~vtkQtListView | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkQtListView* vtkQtListView::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkQtListView::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkQtListView::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkQtView.

## ◆ SafeDownCast()

static vtkQtListView* vtkQtListView::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkQtListView::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkQtView.

## ◆ NewInstance()

vtkQtListView* vtkQtListView::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkQtListView::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkView.

## ◆ GetWidget()

QWidget* vtkQtListView::GetWidget | ( |  | ) |
| overridevirtual

Get the main container of this view (a QWidget).

The application typically places the view with a call to GetWidget(): something like this this->ui->box->layout()->addWidget(this->View->GetWidget());

Implements vtkQtView.

## ◆ GetFieldType()

virtual int vtkQtListView::GetFieldType | ( |  | ) |
| virtual

The field type to copy into the output table.

Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.

## ◆ SetFieldType()

void vtkQtListView::SetFieldType | ( | int |  | ) |

The field type to copy into the output table.

Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.

## ◆ SetEnableDragDrop()

void vtkQtListView::SetEnableDragDrop | ( | bool |  | ) |

Enable drag and drop on this widget.

## ◆ SetAlternatingRowColors()

void vtkQtListView::SetAlternatingRowColors | ( | bool |  | ) |

Have the view alternate its row colors.

## ◆ SetDecorationStrategy()

void vtkQtListView::SetDecorationStrategy | ( | int |  | ) |

The strategy for how to decorate rows.

Should be one of vtkQtTableModelAdapter::COLORS, vtkQtTableModelAdapter::ICONS, or vtkQtTableModelAdapter::NONE. Default is NONE.

## ◆ SetColorArrayName()

void vtkQtListView::SetColorArrayName | ( | const char * | name | ) |

The array to use for coloring items in view.

Default is "color".

## ◆ GetColorArrayName()

const char* vtkQtListView::GetColorArrayName | ( |  | ) |

The array to use for coloring items in view.

Default is "color".

## ◆ SetColorByArray()

void vtkQtListView::SetColorByArray | ( | bool | vis | ) |

Whether to color vertices.

Default is off.

## ◆ GetColorByArray()

bool vtkQtListView::GetColorByArray | ( |  | ) |

Whether to color vertices.

Default is off.

## ◆ ColorByArrayOn()

virtual void vtkQtListView::ColorByArrayOn | ( |  | ) |
| virtual

Whether to color vertices.

Default is off.

## ◆ ColorByArrayOff()

virtual void vtkQtListView::ColorByArrayOff | ( |  | ) |
| virtual

Whether to color vertices.

Default is off.

## ◆ SetVisibleColumn()

void vtkQtListView::SetVisibleColumn | ( | int | col | ) |

The column to display.

## ◆ SetFilterRegExp()

void vtkQtListView::SetFilterRegExp | ( | const QRegularExpression & | pattern | ) |

The column used to filter on.

## ◆ SetIconSheet()

void vtkQtListView::SetIconSheet | ( | QImage | sheet | ) |

Set the icon ivars.

Only used if the decoration strategy is set to ICONS.

## ◆ SetIconSize()

void vtkQtListView::SetIconSize | ( | int | w,
|  | int | h
| ) |  |

Set the icon ivars.

Only used if the decoration strategy is set to ICONS.

## ◆ SetIconSheetSize()

void vtkQtListView::SetIconSheetSize | ( | int | w,
|  | int | h
| ) |  |

Set the icon ivars.

Only used if the decoration strategy is set to ICONS.

## ◆ SetIconArrayName()

void vtkQtListView::SetIconArrayName | ( | const char * | name | ) |

Set the icon ivars.

Only used if the decoration strategy is set to ICONS.

## ◆ ApplyViewTheme()

void vtkQtListView::ApplyViewTheme | ( | vtkViewTheme * | theme | ) |
| override

## ◆ Update()

void vtkQtListView::Update | ( |  | ) |
| overridevirtual

Updates the view.

Reimplemented from vtkView.

## ◆ AddRepresentationInternal()

void vtkQtListView::AddRepresentationInternal | ( | vtkDataRepresentation * | rep | ) |
| overrideprotected

## ◆ RemoveRepresentationInternal()

void vtkQtListView::RemoveRepresentationInternal | ( | vtkDataRepresentation * | rep | ) |
| overrideprotected

The documentation for this class was generated from the following file:

- Views/Qt/vtkQtListView.h